Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ear
[Groovy] Class EarPluginConvention

    java.lang.Object
      org.gradle.plugins.ear.EarPluginConvention

    class EarPluginConvention
    extends java.lang.Object

Property Summary
`java.lang.String` | `appDirName` The name of the application directory, relative to the project directory.
`DeploymentDescriptor` | `deploymentDescriptor` A custom deployment descriptor configuration.
`java.lang.String` | `libDirName` The name of the library directory in the EAR file.

Constructor Summary
`EarPluginConvention(org.gradle.api.internal.file.FileResolver fileResolver)`

Method Summary
`void` | `appDirName(java.lang.String appDirName)` Allows changing the application directory.
`EarPluginConvention` | `deploymentDescriptor(groovy.lang.Closure configureClosure)` Configures the deployment descriptor for this EAR archive.
`void` | `libDirName(java.lang.String libDirName)` Allows changing the library directory in the EAR file.
`void` | `setAppDirName(java.lang.String appDirName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### appDirName

    java.lang.String appDirName

  The name of the application directory, relative to the project directory. Default is "src/main/application".

### deploymentDescriptor

    DeploymentDescriptor deploymentDescriptor

  A custom deployment descriptor configuration. Default is an "application.xml" with sensible defaults.

### libDirName

    java.lang.String libDirName

  The name of the library directory in the EAR file. Default is "lib".

Constructor Detail

### EarPluginConvention

    EarPluginConvention(org.gradle.api.internal.file.FileResolver fileResolver)

Method Detail

### appDirName

    void appDirName(java.lang.String appDirName)

  Allows changing the application directory. Default is "src/main/application".
  Parameters:
    appDirName

### deploymentDescriptor

    EarPluginConvention deploymentDescriptor(groovy.lang.Closure configureClosure)

  Configures the deployment descriptor for this EAR archive.

  The given closure is executed to configure the deployment descriptor. The DeploymentDescriptor is passed to the closure as its delegate.

  Parameters:
    `configureClosure` - The closure.
  Returns:
    This.

### libDirName

    void libDirName(java.lang.String libDirName)

  Allows changing the library directory in the EAR file. Default is "lib".

### setAppDirName

    void setAppDirName(java.lang.String appDirName)

Groovy Documentation